#BEGIN TRANSACTION;

CREATE TABLE "DeviceType" (
  "id" TEXT PRIMARY KEY ,
  "type" TEXT ,
  "version" TEXT ,
  "typeName" TEXT NOT NULL ,
  "helpLink" TEXT ,
  "tips" TEXT ,
  "iconPath" TEXT
);

CREATE TABLE "Device" (
  "id" TEXT PRIMARY KEY ,
  "deviceTypeId" TEXT ,
  "orionDeviceId" TEXT ,
  "deviceName" TEXT ,
  "deviceUserId" TEXT NOT NULL ,
  "deviceUserAuth" TEXT NOT NULL ,
  "domainAddress" TEXT ,
  "localAddress" TEXT ,
  "httpPort" INTEGER DEFAULT 80,
  "httpsPort" INTEGER DEFAULT 443,
  "iconPath" TEXT,
  "registed" TEXT DEFAULT "false",
  "createdDate" INTEGER,
  "livefolderIcon" blob 
);

CREATE INDEX "IDX_DEVICE_DEVICE_NAME" ON "Device" ("deviceName");
CREATE INDEX "IDX_DEVICE_CREATED_DATE" ON "Device" ("createdDate");

CREATE TABLE "Clipped" (
  "id" TEXT PRIMARY KEY ,
  "deviceId" TEXT NOT NULL ,
  "fullPath" TEXT NOT NULL ,
  "name" TEXT NOT NULL ,
  "isFolder" BOOLEAN NOT NULL ,
  "createdDate" INTEGER ,
  "modifiedDate" INTEGER ,
  "cachePath" TEXT ,
  "cachedDate" INTEGER ,
  "size" INTEGER DEFAULT 0 ,
  "downloadSize" INTEGER DEFAULT 0 ,
  "folderCount" INTEGER DEFAULT 0 ,
  "downloadFolderCount" INTEGER DEFAULT 0 ,
  "fileCount" INTEGER DEFAULT 0 ,
  "downloadFileCount" INTEGER DEFAULT 0 ,
  "hitCount" INTEGER DEFAULT 0,
  "status" INTEGER NOT NULL,
  "parentId" TEXT,
  "startTime" INTEGER DEFAULT 0
);
CREATE INDEX "IDX_CLIPPED_DEVICE_ID" ON "Clipped" ("deviceId");
CREATE INDEX "IDX_CLIPPED_CACHEDDATE" ON "Clipped" ("cachedDate");
CREATE INDEX "IDX_CLIPPED_HITCOUNT" ON "Clipped" ("hitCount");
CREATE INDEX "IDX_CLIPPED_PARENTID" ON "Clipped" ("parentId");

CREATE TABLE "Recent" (
  "id" TEXT PRIMARY KEY ,
  "deviceId" TEXT NOT NULL ,
  "pathName" TEXT ,
  "isFolder" TEXT ,
  "viewDate" INTEGER NOT NULL,
  "createdDate" INTEGER NOT NULL,
  "modifiedDate" INTEGER ,
  "size" INTEGER,
  "hitCount" INTEGER DEFAULT 0
);
CREATE INDEX "IDX_RECENT_DEVICE_ID" ON "Recent" ("deviceId");
CREATE INDEX "IDX_RECENT_VIEW_DATE" ON "Recent" ("viewDate");

### INIT DATA ###
INSERT INTO "DeviceType" (id, type, version, typeName, helpLink, tips, iconPath) VALUES
("my_book_live", "orion", "1.1", "My Book Live", "https://%s/wdphotos/iphone/help/help_content_my_book_live_page_1.jsp", "tips", "ic_type_mybook_live");
# INSERT INTO "DeviceType" (id, type, typeName, helpLink, tips, iconPath) VALUES ("wd_tv_live_hub", "orion", "WDTV", "https://%s/wdphotos/iphone/help/help_content_wdtvrv_page_1.jsp", "tips", "ic_type_wd_tv_live_hub");
# INSERT INTO "DeviceType" (id, type, typeName, helpLink, tips, iconPath) VALUES ("DT_MIONET_WORLD", "mionet", "MyBook World", "https://%s/wdphotos/iphone/help/help_content_my_book_world_page_1.jsp", "tips", "ic_type_mybook_world");
# INSERT INTO "DeviceType" (id, type, typeName, helpLink, tips, iconPath) VALUES ("DT_MIONET_SPACE", "mionet", "Share Space", "https://%s/wdphotos/iphone/help/help_content_sharespace_page_1.jsp", "tips", "ic_type_share_space");

#COMMIT;
